zipios::ZipInputStreambuf Class Reference

ZipInputStreambuf is a zip input streambuf filter. More...

`#include <zipinputstreambuf.h>`

Inheritance diagram for zipios::ZipInputStreambuf:
[legend]

## Public Member Functions

| ZipInputStreambuf (streambuf *inbuf, int s_pos=-1, bool del_inbuf=false)
| ZipInputStreambuf constructor.
void | closeEntry ()
| Closes the current entry, and positions the stream read pointer at the beginning of the next entry (if there is one).
void | close ()
| Closes the streambuf.
ConstEntryPointer | getNextEntry ()
| Opens the next entry in the zip archive and returns a const pointer to a FileEntry object for the entry.
virtual | ~ZipInputStreambuf ()
| Destructor.
Public Member Functions inherited from zipios::InflateInputStreambuf
| InflateInputStreambuf (streambuf *inbuf, int s_pos=-1, bool del_inbuf=false)
| InflateInputStreambuf constructor.
bool | reset (int stream_position=-1)
| Resets the zlib stream and purges input and output buffers.
Public Member Functions inherited from zipios::FilterInputStreambuf
| FilterInputStreambuf (streambuf *inbuf, bool del_inbuf=false)
| Constructor.
virtual | ~FilterInputStreambuf ()
| Destructor.

## Protected Member Functions

virtual int | underflow ()

## Additional Inherited Members

Protected Attributes inherited from zipios::InflateInputStreambuf
const int | _outvecsize
vector< char > | _outvec
Protected Attributes inherited from zipios::FilterInputStreambuf
int | _s_pos
streambuf * | _inbuf
bool | _del_inbuf

## Detailed Description

ZipInputStreambuf is a zip input streambuf filter.

Definition at line 18 of file zipinputstreambuf.h.

## Constructor & Destructor Documentation

## ZipInputStreambuf()

zipios::ZipInputStreambuf::ZipInputStreambuf | ( | streambuf * | inbuf,
|  | int | s_pos = -1,
|  | bool | del_inbuf = false )

explicit

ZipInputStreambuf constructor.

Parameters

  inbuf | the streambuf to use for input.
  s_pos | a position to reset the inbuf to before reading. Specify -1 to read from the current position.
  del_inbuf | if true is specified inbuf will be deleted, when the ZipInputStreambuf is destructed.

Definition at line 18 of file zipinputstreambuf.cpp.

## ~ZipInputStreambuf()

zipios::ZipInputStreambuf::~ZipInputStreambuf | ( |  | ) |

virtual

Destructor.

Definition at line 82 of file zipinputstreambuf.cpp.

## Member Function Documentation

## close()

void zipios::ZipInputStreambuf::close | ( |  | ) |

Closes the streambuf.

Definition at line 42 of file zipinputstreambuf.cpp.

## closeEntry()

void zipios::ZipInputStreambuf::closeEntry | ( |  | ) |

Closes the current entry, and positions the stream read pointer at the beginning of the next entry (if there is one).

Definition at line 29 of file zipinputstreambuf.cpp.

## getNextEntry()

ConstEntryPointer zipios::ZipInputStreambuf::getNextEntry | ( |  | ) |

Opens the next entry in the zip archive and returns a const pointer to a FileEntry object for the entry.

Returns
  a const FileEntry * containing information about the (now) current entry.

Definition at line 45 of file zipinputstreambuf.cpp.

## underflow()

int zipios::ZipInputStreambuf::underflow | ( |  | ) |

protected virtual

Reimplemented from zipios::InflateInputStreambuf.

Definition at line 86 of file zipinputstreambuf.cpp.

The documentation for this class was generated from the following files:

- zipinputstreambuf.h
- zipinputstreambuf.cpp